FreeMat

- Main Page
- Related Pages

SETPRINTLIMIT Set Limit For Printing Of Arrays

Section: Input/Ouput Functions

# Usage

Changes the limit on how many elements of an array are printed using either the `disp` function or using expressions on the command line without a semi-colon. The default is set to one thousand elements. You can increase or decrease this limit by calling

      setprintlimit(n)

where `n` is the new limit to use.

# Example

Setting a smaller print limit avoids pages of output when you forget the semicolon on an expression.

    --> A = randn(512);
    --> setprintlimit(10)
    --> A

    ans =

     Columns 1 to 7

       -0.2514   -0.1353   -1.3148    1.7915   -0.4740   -1.6836   -0.2605
       -0.6206   -0.6711   -0.4389
    Print limit has been reached.  Use setprintlimit function to enable longer printouts
    --> setprintlimit(1000)